<?php

namespace ExceptionHandle;

use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpSpecializedException;
use Throwable;

class PDOError extends HttpSpecializedException {

    protected string $title = "PDO connection failed";

    public function __construct(ServerRequestInterface $request,string $message,Throwable $previous)
    {
        $this->file = $previous->getFile();
        $this->line = $previous->getLine();
        $this->code = $previous->getCode();
        parent::__construct($request,$message,$previous);
    }

}